Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
Class FlowInfoCapturer

    java.lang.Object
      org.codehaus.groovy.grails.webflow.engine.builder.FlowInfoCapturer

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class FlowInfoCapturer

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`FlowInfoCapturer(FlowBuilder builder, ApplicationContext applicationContext)`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`void` | `action(groovy.lang.Closure callable)`
`groovy.lang.Closure` | `getAction()`
`groovy.lang.Closure` | `getEntryAction()`
`List` | `getExceptionHandlers()`
`groovy.lang.Closure` | `getExitAction()`
`groovy.lang.MetaClass` | `getMetaClass()`
`Object` | `getProperty(String property)`
`Object` | `getPropertyDescriptors()`
`Object` | `getRedirectUrl()`
`groovy.lang.Closure` | `getRenderAction()`
`groovy.lang.Closure` | `getSubflow()`
`org.springframework.webflow.engine.Transition[]` | `getTransitions()`
`String` | `getViewName()`
`Object` | `invokeMethod(String method, Object arguments)`
`TransitionTo` | `on(Class exception)`
`TransitionTo` | `on(String name)`
`TransitionTo` | `on(String name, groovy.lang.Closure transitionCriteria)`
`void` | `onEntry(groovy.lang.Closure callable)`
`void` | `onExit(groovy.lang.Closure callable)`
`void` | `onRender(groovy.lang.Closure callable)`
`Object` | `propertyMissing(String name)`
`void` | `redirect(Map args)`
`void` | `render(Map args)`
`void` | `setExceptionHandlers(List value)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setProperty(String property, Object value)`
`void` | `setPropertyDescriptors(Object value)`
`void` | `subflow(groovy.lang.Closure callable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowInfoCapturer

    public FlowInfoCapturer(FlowBuilder builder,
                            ApplicationContext applicationContext)

Method Detail

### getExceptionHandlers

    public List getExceptionHandlers()

### setExceptionHandlers

    public void setExceptionHandlers(List value)

### getPropertyDescriptors

    public Object getPropertyDescriptors()

### setPropertyDescriptors

    public void setPropertyDescriptors(Object value)

### getTransitions

    public org.springframework.webflow.engine.Transition[] getTransitions()

### getViewName

    public String getViewName()

### getAction

    public groovy.lang.Closure getAction()

### getRenderAction

    public groovy.lang.Closure getRenderAction()

### getEntryAction

    public groovy.lang.Closure getEntryAction()

### getExitAction

    public groovy.lang.Closure getExitAction()

### getSubflow

    public groovy.lang.Closure getSubflow()

### getRedirectUrl

    public Object getRedirectUrl()

### on

    public TransitionTo on(String name)

### on

    public TransitionTo on(String name,
                           groovy.lang.Closure transitionCriteria)

### on

    public TransitionTo on(Class exception)

### onRender

    public void onRender(groovy.lang.Closure callable)

### onEntry

    public void onEntry(groovy.lang.Closure callable)

### onExit

    public void onExit(groovy.lang.Closure callable)

### action

    public void action(groovy.lang.Closure callable)

### subflow

    public void subflow(groovy.lang.Closure callable)

### render

    public void render(Map args)

### redirect

    public void redirect(Map args)

### propertyMissing

    public Object propertyMissing(String name)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project